RDKit: RDKit::SynthonSpaceSearch::details Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Functions
RDKit::SynthonSpaceSearch::details Namespace Reference

## Classes
struct | MemoryMappedFileReader
struct | Stepper

## Functions
RDKIT_SYNTHONSPACESEARCH_EXPORT bool | checkTimeOut (const TimePoint *endTime)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< unsigned int > > | combMFromN (unsigned int m, unsigned int n)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< unsigned int > > | permMFromN (unsigned int m, unsigned int n)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< std::unique_ptr< ROMol > > > | splitMolecule (const ROMol &query, unsigned int maxNumFrags, const std::uint64_t maxNumFragSets, const TimePoint *endTime, const int numThreads, bool &timedOut)
RDKIT_SYNTHONSPACESEARCH_EXPORT int | countConnections (const ROMol &mol)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< boost::dynamic_bitset<> > | getConnectorPatterns (const std::vector< std::unique_ptr< ROMol > > &fragSet)
RDKIT_SYNTHONSPACESEARCH_EXPORT boost::dynamic_bitset | getConnectorPattern (const std::vector< std::unique_ptr< ROMol > > &fragSet)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< std::vector< std::pair< Atom *, unsigned int > > > > | getConnectorPermutations (const std::vector< std::unique_ptr< ROMol > > &molFrags, const boost::dynamic_bitset<> &fragConns, const boost::dynamic_bitset<> &reactionConns)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< boost::dynamic_bitset<> > > | getConnectorPermutations (const std::vector< boost::dynamic_bitset<> > &fragConnPatts, const boost::dynamic_bitset<> &reactionConns)
RDKIT_SYNTHONSPACESEARCH_EXPORT void | expandBitSet (std::vector< boost::dynamic_bitset<> > &bitSets)
RDKIT_SYNTHONSPACESEARCH_EXPORT void | bitSetsToVectors (const std::vector< boost::dynamic_bitset<> > &bitSets, std::vector< std::vector< size_t > > &outVecs)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::unique_ptr< ROMol > | buildConnRegion (const ROMol &mol)
RDKIT_SYNTHONSPACESEARCH_EXPORT bool | removeQueryAtoms (RWMol &mol)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::string | buildProductName (const std::string &reactionId, const std::vector< std::string > &fragIds)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::string | buildProductName (const RDKit::SynthonSpaceSearch::SynthonSpaceHitSet *hitset, const std::vector< size_t > &fragNums)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::unique_ptr< ROMol > | buildProduct (const std::vector< const ROMol * > &synthons)
RDKIT_SYNTHONSPACESEARCH_EXPORT std::map< std::string, std::vector< ROMol * > > | mapFragsBySmiles (std::vector< std::vector< std::unique_ptr< ROMol > > > &fragSets, bool &cancelled)
RDKIT_SYNTHONSPACESEARCH_EXPORT unsigned int | countChiralAtoms (ROMol &mol, unsigned int *numExcDummies=nullptr)

## Function Documentation

## ◆ bitSetsToVectors()

RDKIT_SYNTHONSPACESEARCH_EXPORT void RDKit::SynthonSpaceSearch::details::bitSetsToVectors | ( | const std::vector< boost::dynamic_bitset<> > & | bitSets,
|  | std::vector< std::vector< size_t > > & | outVecs )

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ buildConnRegion()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::unique_ptr< ROMol > RDKit::SynthonSpaceSearch::details::buildConnRegion | ( | const ROMol & | mol | ) |

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ buildProduct()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::unique_ptr< ROMol > RDKit::SynthonSpaceSearch::details::buildProduct | ( | const std::vector< const ROMol * > & | synthons | ) |

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ buildProductName() [1/2]

RDKIT_SYNTHONSPACESEARCH_EXPORT std::string RDKit::SynthonSpaceSearch::details::buildProductName | ( | const RDKit::SynthonSpaceSearch::SynthonSpaceHitSet * | hitset,
|  | const std::vector< size_t > & | fragNums )

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ buildProductName() [2/2]

RDKIT_SYNTHONSPACESEARCH_EXPORT std::string RDKit::SynthonSpaceSearch::details::buildProductName | ( | const std::string & | reactionId,
|  | const std::vector< std::string > & | fragIds )

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ checkTimeOut()

RDKIT_SYNTHONSPACESEARCH_EXPORT bool RDKit::SynthonSpaceSearch::details::checkTimeOut | ( | const TimePoint * | endTime | ) |

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ combMFromN()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< unsigned int > > RDKit::SynthonSpaceSearch::details::combMFromN | ( | unsigned int | m,
|  | unsigned int | n )

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ countChiralAtoms()

RDKIT_SYNTHONSPACESEARCH_EXPORT unsigned int RDKit::SynthonSpaceSearch::details::countChiralAtoms | ( | ROMol & | mol,
|  | unsigned int * | numExcDummies = nullptr )

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ countConnections()

RDKIT_SYNTHONSPACESEARCH_EXPORT int RDKit::SynthonSpaceSearch::details::countConnections | ( | const ROMol & | mol | ) |

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ expandBitSet()

RDKIT_SYNTHONSPACESEARCH_EXPORT void RDKit::SynthonSpaceSearch::details::expandBitSet | ( | std::vector< boost::dynamic_bitset<> > & | bitSets | ) |

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ getConnectorPattern()

RDKIT_SYNTHONSPACESEARCH_EXPORT boost::dynamic_bitset RDKit::SynthonSpaceSearch::details::getConnectorPattern | ( | const std::vector< std::unique_ptr< ROMol > > & | fragSet | ) |

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ getConnectorPatterns()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< boost::dynamic_bitset<> > RDKit::SynthonSpaceSearch::details::getConnectorPatterns | ( | const std::vector< std::unique_ptr< ROMol > > & | fragSet | ) |

## ◆ getConnectorPermutations() [1/2]

RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< boost::dynamic_bitset<> > > RDKit::SynthonSpaceSearch::details::getConnectorPermutations | ( | const std::vector< boost::dynamic_bitset<> > & | fragConnPatts,
|  | const boost::dynamic_bitset<> & | reactionConns )

## ◆ getConnectorPermutations() [2/2]

RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< std::vector< std::pair< Atom *, unsigned int > > > > RDKit::SynthonSpaceSearch::details::getConnectorPermutations | ( | const std::vector< std::unique_ptr< ROMol > > & | molFrags,
|  | const boost::dynamic_bitset<> & | fragConns,
|  | const boost::dynamic_bitset<> & | reactionConns )

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ mapFragsBySmiles()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::map< std::string, std::vector< ROMol * > > RDKit::SynthonSpaceSearch::details::mapFragsBySmiles | ( | std::vector< std::vector< std::unique_ptr< ROMol > > > & | fragSets,
|  | bool & | cancelled )

## ◆ permMFromN()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< unsigned int > > RDKit::SynthonSpaceSearch::details::permMFromN | ( | unsigned int | m,
|  | unsigned int | n )

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ removeQueryAtoms()

RDKIT_SYNTHONSPACESEARCH_EXPORT bool RDKit::SynthonSpaceSearch::details::removeQueryAtoms | ( | RWMol & | mol | ) |

References RDKIT_SYNTHONSPACESEARCH_EXPORT.

## ◆ splitMolecule()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::vector< std::vector< std::unique_ptr< ROMol > > > RDKit::SynthonSpaceSearch::details::splitMolecule | ( | const ROMol & | query,
|  | unsigned int | maxNumFrags,
|  | const std::uint64_t | maxNumFragSets,
|  | const TimePoint * | endTime,
|  | const int | numThreads,
|  | bool & | timedOut )